Package com.macrofocus.high_d.parallelcoordinates.swing

# Class SwingParallelCoordinatesController<Row,Column>

java.lang.Object
com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesController<JComponent,Row,Column>
com.macrofocus.high_d.parallelcoordinates.swing.SwingParallelCoordinatesController<Row,Column>

All Implemented Interfaces:
  `ParallelCoordinatesController<JComponent,Row,Column>`

public class SwingParallelCoordinatesController<Row,Column> extends AbstractParallelCoordinatesController<JComponent,Row,Column>
Default controller mediating user interactions with a ParallelCoordinatesView.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesController

  `AbstractParallelCoordinatesController.DefaultMouseListener`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesController

  `mouseListener, reordering, reversing`

  ### Fields inherited from interface com.macrofocus.high_d.parallelcoordinates.ParallelCoordinatesController

  `PROPERTY_REORDERING, PROPERTY_REVERSING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingParallelCoordinatesController(ParallelCoordinatesView view)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ParallelCoordinatesView<JComponent,com.macrofocus.igraphics.CPColor,Row,Column>`
  `getView()`
  `void`
  `setView(ParallelCoordinatesView<JComponent,com.macrofocus.igraphics.CPColor,Row,Column> view)`
  Replace the view currently under control.

  ### Methods inherited from class com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesController

  `getLocksmith, getMode, getReordering, getReversing, setLocksmith, setMode, setReordering, setReversing`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingParallelCoordinatesController

    public SwingParallelCoordinatesController(ParallelCoordinatesView view)

- ## Method Details

  - ### getView

    public ParallelCoordinatesView<JComponent,com.macrofocus.igraphics.CPColor,Row,Column> getView()

  - ### setView

    public void setView(ParallelCoordinatesView<JComponent,com.macrofocus.igraphics.CPColor,Row,Column> view)
    Replace the view currently under control.
    Parameters:
      `view` - the ParallelCoordinatesView to use